# Class CIM_AdminDomain
extends CIM_System

This is a special grouping of ManagedSystemElements. The grouping is viewed as a single entity, reflecting that all of its components are administered similarly, either by the same user, group of users, or policy. It serves as an aggregation point to associate one or more of the following elements: network devices, such as routers and switches, servers, and other resources that can be accessed by end systems. This grouping of devices plays an essential role in ensuring that the same administrative policy and actions are applied to all of the devices in the grouping. The specific behavior and/or semantics of the AdminDomain can be identified through its aggregated and associated entities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_System
|
+--CIM_AdminDomain

## Direct Known Subclasses

CIM_AutonomousSystem
CIM_J2eeDomain
CIM_Network
CIM_PolicyRepository
CIM_ReusablePolicyContainer
CIM_RoutingProtocolDomain

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This is a special grouping of ManagedSystemElements. The grouping is viewed as a single entity, reflecting that all of its components are administered similarly, either by the same user, group of users, or policy. It serves as an aggregation point to associate one or more of the following elements: network devices, such as routers and switches, servers, and other resources that can be accessed by end systems. This grouping of devices plays an essential role in ensuring that the same administrative policy and actions are applied to all of the devices in the grouping. The specific behavior and/or semantics of the AdminDomain can be identified through its aggregated and associated entities.

UMLPackagePath | string | CIM::Core::CoreElements
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
NameFormat | string |

Description

string

The NameFormat property identifies how the Name of the AdminDomain is generated, using the heuristic specified in the CIM V2 System Model specification. The property assumes that to determine and assign a Name the documented rules are traversed in order. The NameFormat Values list defines the precedence order for assigning the Name of the AdminDomain. "FC" has been deprecated and replaced by "WWN" to be consistent with the other ValueMaps.

MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_AdminDomain.Name
Override | string | NameFormat
ValueMap | string | Other, AS, NAP, NOC, POP, RNP, IP, IPX, SNA, Dial, WAN, LAN, ISDN, Frame Relay, ATM, E.164, IB, FC, Policy Repository, WWN
Values | string | Other, Autonomous System, Network Access Provider, Network Operations Center, Point of Presence, Regional Network Provider, IP, IPX, SNA, Dial, WAN, LAN, ISDN, Frame Relay, ATM, E.164, Infiniband, Fibre Channel, Policy Repository, Fibre Channel Worldwide Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_System
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_System
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_System
PrimaryOwnerName | string | CIM_System
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_System
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_System
Roles | string[] | CIM_System
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement